%define packname mAr
%define packver 1.1
%define packrel 2

Summary: R module to evaluate functions for multivariate AutoRegressive analysis
Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 14%{?dist}
License: GPLv2+
Group: Applications/Engineering
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}-%{packrel}.tar.gz
Source1: COPYING
URL: http://cran.r-project.org/web/packages/%{packname}
BuildRequires: R-devel >= 3.0.0, tetex-latex
Requires: R-core >= 3.0.0
BuildArch: noarch

%description
R package:
An R add-on package for estimation of multivariate AR models through a
computationally-efficient stepwise least-squares algorithm (Neumaier
and Schneider, 2001); the procedure is of particular interest for
high-dimensional data without missing values such as geophysical
fields.

%prep
%setup -q -n %{packname}

%build
cp %{SOURCE1} .

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
cd ..; %{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
cd ..;%{_bindir}/R CMD check %{packname}

%files
%{_datadir}/R/library/%{packname}


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 30 2017 Tom Callaway <spot@fedoraproject.org> - 1.1.2-13
- make noarch

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 1.1.2-6
- rebuild for R3

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec  8 2012 José Matos <jamatos@fedoraproject.org> - 1.1.2-4
- Upstream source has been respun due to namespace fixes so rebuild it

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 17 2011 José Matos <jamatos@fedoraproject.org> - 1.1.2-1
- Update to latest release.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 28 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.1-16
- update scriptlets
- adjust version to include packrel

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 14 2008 José Matos <jamatos[AT]fc.up.pt> - 1.1-13
- Rebuild for gcc 4.3

* Mon Jan  7 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.1-12
- BuildRequires: R-devel rather than just R

* Mon Aug 27 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-11
- License fix, rebuild for devel (F8).

* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-10
- Create install dir.

* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-9
- Rebuild for R 2.5.

* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-8
- New upstream version (1.1-1).

* Tue Oct 17 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-7
- Rebuild for R 2.4.0.

* Thu Sep 14 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-6
- Rebuild for FC6.

* Sun Jun  4 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-5
- Rebuild for R-2.3.x

* Thu Mar  2 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-4
- Disable building of debugging package.

* Tue Oct 11 2005 José Matos <jamatos[AT]fc.up.pt> - 1.1-3
- Remove html index generation as it is now automatic.

* Thu Oct  6 2005 José Matos <jamatos[AT]fc.up.pt> - 1.1-2
- Add check section, add tetex-latex to BulidRequires, and remove docs
  as they are packaged already.

* Sun Aug 21 2005 José Matos <jamatos[AT]fc.up.pt> - 1.1-1
- Prepare for FE inclusion.
